Package com.enonic.xp.node

## Class NodeIds

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<NodeId>
  - - com.enonic.xp.node.NodeIds

- All Implemented Interfaces:
    `Iterable<NodeId>`

      @PublicApi
      public final class NodeIds
      extends AbstractImmutableEntitySet<NodeId>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeIds.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Collector<NodeId,​?,​NodeIds>` | `collecting()` |
    `static NodeIds.Builder` | `create()` |
    `static NodeIds` | `empty()` |
    `static NodeIds` | `from​(NodeId... ids)` |
    `static NodeIds` | `from​(Iterable<NodeId> ids)` |
    `static NodeIds` | `from​(String... ids)` |
    `static NodeIds` | `from​(Collection<String> ids)` |
    `List<String>` | `getAsStrings()` | Deprecated.

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, equals, first, getSet, getSize, hashCode, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static NodeIds empty()

    - #### from

          public static NodeIds from​(NodeId... ids)

    - #### from

          public static NodeIds from​(String... ids)

    - #### from

          public static NodeIds from​(Collection<String> ids)

    - #### create

          public static NodeIds.Builder create()

    - #### from

          public static NodeIds from​(Iterable<NodeId> ids)

    - #### collecting

          public static Collector<NodeId,​?,​NodeIds> collecting()

    - #### getAsStrings

          @Deprecated
          public List<String> getAsStrings()

      Deprecated.